Composer error Package monsta-ftp (2.1.x) not found. Please retry without the '-a' option.

  • While installing I get the following error and cannot proceed:


    Quote

    iMSCP::Composer::_checkRequirements: Package imscp/monsta-ftp (2.1.x) not found. Please retry without the '-a' option


    My system :
    Ubuntu 18,04 server

    Version : imscp-1.5.3-2018120700

    Ne system - no plugins

  • How did you run the installer exactly?

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Thanks for the quick response Nuxwin .


    The installation was a standard installation as suggested : https://github.com/i-MSCP/imscp/blob/1.5.x/docs/INSTALL.md

    Running as root user.


    Code
    1. $ perl imscp-autoinstall -d
    2. # ...and thereafter, as per the installation instructions ...
    3. $ perl /var/www/imscp/engine/setup/imscp-reconfigure -d


    Up to this point the installation went kind of smoothly, except an initail fail for a dependency, which I installed by

    Code
    1. apt-get install gnupg2
  • crafter


    For fresh installation, you need only to run perl imscp-autoinstall -d from the distribution archive. Please retry and if there is an error, post the relevant logs from /var/log/imscp.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Thanks Nuxwin


    I restarted the installation as per your instruction. This ran without issue but once again prompted me to run the second part of my listing above. I have attached a screenshot to show that.


    I have added below an extract from the file imscp-setup.log.


    From what I see the issue seems to be here


    Quote

    Wed Feb 13 10:46:13 2019] [debug] iMSCP::Execute::executeNoWait: su --login imscp --shell /bin/sh -c 'php -d date.timezone=Africa/Johannesburg -d allow_url_fopen=1 /var/local/imscp/composer.phar show --no-ansi --no-interaction --working-dir=/var/local/imscp/packages imscp/monsta-ftp 2.1.x'

    The file /var/local/imscp/composer.phar does exist is is a valid php file.


    However, the directory "/var/local/imscp/packages imscp/monsta-ftp 2.1.x" does not exist.

    There exists a directory "/var/local/imscp/packages/" which is currebtly empty.

    But the directory "/var/local/imscp/packages imscp" does not exist.


    Extra lines from the log are below

    Quote

    Wed Feb 13 10:46:13 2019] [debug] iMSCP::Execute::execute: su --login imscp --shell /bin/sh -c 'php -d date.timezone=Africa/Johannesburg -d allow_url_fopen=1 /var/local/imscp/composer.phar --version' [Wed Feb 13 10:46:13 2019] [debug] iMSCP::Composer::_checkComposerVersion: Composer version 1.8.0 2018-12-03 10:31:16 [Wed Feb 13 10:46:13 2019] [debug] iMSCP::Execute::executeNoWait: su --login imscp --shell /bin/sh -c 'php -d date.timezone=Africa/Johannesburg -d allow_url_fopen=1 /var/local/imscp/composer.phar show --no-ansi --no-interaction --working-dir=/var/local/imscp/packages imscp/monsta-ftp 2.1.x' [Wed Feb 13 10:46:13 2019] [error] iMSCP::Composer::_checkRequirements: Package imscp/monsta-ftp (2.1.x) not found. Please retry without the '-a' option. [Wed Feb 13 10:46:13 2019] [debug] iMSCP::Execute::execute: /usr/bin/dialog --no-shadow --ok-label Ok --backtitle 'i-MSCP - internet Multi Server Control Panel (1.5.3)' --exit-label Abort --colors --cancel-label Back --title 'i-MSCP Reconfiguration Dialog' --no-label No --yes-label Yes --help-label Help --msgbox '\Z1[ERROR]\Zn
    Error while performing step:
    Checking composer package requirements
    Error was:
    \Z1iMSCP::Composer::_checkRequirements: Package imscp/monsta-ftp (2.1.x) not found. Please retry without the '\''-a'\'' option.\Zn
    Please have a look at http://i-mscp.net/forum if you need help. ' 51 204 [Wed Feb 13 10:46:30 2019] [debug] iMSCP::Execute::execute: /usr/bin/dialog --no-shadow --ok-label Ok --backtitle 'i-MSCP - internet Multi Server Control Panel (1.5.3)' --exit-label Abort --colors --cancel-label Back --title 'i-MSCP Reconfiguration Dialog' --no-label No --yes-label Yes --help-label Help --msgbox '\Z1[ERROR]\Zn

  • Please, run the installer in automatic mode, not in manual mode.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Thanks Nuxwin


    The problem persist even in automatic mode.

    With automatic mode the default ftp client is net2ftp (as opposed to manual, where it is monsta-ftp, which does not matter to me really.


    In both cases the /var/local/imscp/packages directory is empty.


    I ran this both as root user and a normal privileged user - same issue.


    I tried to trace and it seems like the composer.json fiel is not being written to /var/local/imscp/packages. If I run the command shown from the comand line, I get

    Code
    1. su --login imscp --shell /bin/sh -c "php -d date.timezone=Africa/Johannesburg -d allow_url_fopen=1 /var/local/imscp/composer.phar show --no-ansi --no-interaction --working-dir=/var/local/imscp/packages imscp/monsta-ftp 2.1.x"
    2. Composer could not find a composer.json file in /var/local/imscp/packages
    3. To initialize a project, please create a composer.json file as described in the https://getcomposer.org/ "Getting Started" section


    The log files show


    Edited 3 times, last by crafter: Additional info ().

  • crafter


    I hate losing my time ;) Why do you try to install an older release exactly?


    You try to install the i-MSCP 1.5.3 (build 2018120700) while latest release is i-MSCP 1.5.3 (build 2018120800), in which a bug has been fixed for the composer packages installer.


    Latest release is clearly highlighted https://github.com/i-MSCP/imscp/releases

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • I hate losing my time ;) Why do you try to install an older release exactly?

    Oh, I'm surprised, didn't answer, was just a draft, but I didn't remember how I fixed the issue as I tried many things.


    I took the last working version. I had severe issues with my underlying Dom0, so I had to get up running more machines. The latest released stopped installing with an error I don't remember right now, but 1.5.3 did, so I left it that way, as there were other services offline, too. For the moment I was happy to have the service back online.

  • Oh, I'm surprised, didn't answer, was just a draft, but I didn't remember how I fixed the issue as I tried many things.


    I took the last working version. I had severe issues with my underlying Dom0, so I had to get up running more machines. The latest released stopped installing with an error I don't remember right now, but 1.5.3 did, so I left it that way, as there were other services offline, too. For the moment I was happy to have the service back online.

    My answer goes to crafter , not you... I don't really understand the purpose of your answer... If you have been also affected by this bug, you must note that it has been fixed in latest build.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206